Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModelDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.model.dynamics.EModelDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

public class EModelDiagramViewBuilder
extends DefaultDiagramViewBuilder

View builder for executable model diagram. It is a decorator (Decorator Design Pattern) for other `DiagramViewBuider`. We decorate view of nodes and images, as well as DefaultViewOptions. We use basic methods of `DefaultDiagramViewBuilder` to build the diagram view and management by its element:

- `createDiagramView`
- `createDiagramView`
- `createCompartmentView`
- `hideElement`
- `removeElement`
- `moveNode`
- `applyFilter`

Field Summary
`protected DiagramViewBuilder` | `viewBuilder`

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`EModelDiagramViewBuilder(DiagramViewBuilder viewBuilder)`

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`CompositeView` | `createEdgeView(Edge edge, DiagramViewOptions options, java.awt.Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, java.awt.Graphics g)` Adds vriable value to node view.
`javax.swing.Icon` | `getIcon(java.lang.Class type)` Default implimentation of the method.

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createDiagramView, createEquivalentNodeGroupView, createNodeCoreView, createNoteView, doCreateCompartmentView, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewBuilder

    protected DiagramViewBuilder viewBuilder

Constructor Detail

### EModelDiagramViewBuilder

    public EModelDiagramViewBuilder(DiagramViewBuilder viewBuilder)

Method Detail

### getIcon

    public javax.swing.Icon getIcon(java.lang.Class type)

  Description copied from class: `DefaultDiagramViewBuilder`
  Default implimentation of the method. The following convention is used: icon images located in the subdirectory 'resources' relative the specific DiagramViewBuilder. Icon file name is class name with suffix ".gif", first letter is lower case.

  Specified by:
    `getIcon` in interface `DiagramViewBuilder`
  Overrides:
    `getIcon` in class `DefaultDiagramViewBuilder`

### createNodeView

    public CompositeView createNodeView(Node node,
                                        DiagramViewOptions options,
                                        java.awt.Graphics g)

  Adds vriable value to node view.

  Specified by:
    `createNodeView` in interface `DiagramViewBuilder`
  Overrides:
    `createNodeView` in class `DefaultDiagramViewBuilder`

### createEdgeView

    public CompositeView createEdgeView(Edge edge,
                                        DiagramViewOptions options,
                                        java.awt.Graphics g)

  Specified by:
    `createEdgeView` in interface `DiagramViewBuilder`
  Overrides:
    `createEdgeView` in class `DefaultDiagramViewBuilder`
  To do:
    implement

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

  Specified by:
    `createDefaultDiagramViewOptions` in interface `DiagramViewBuilder`
  Overrides:
    `createDefaultDiagramViewOptions` in class `DefaultDiagramViewBuilder`
  To do:
    implement

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.